<?php

namespace XenGenTr\ZiyaretcilereLinkGizle\Repository;

use XF\Mvc\Entity\Repository;

class CheckLinks extends Repository
{
	public function checkUrl($url)
	{
		$options = $this->app()->options();

		$HaricTutulanlar = $options->xgtZiyaretcilereLinkGizle_etkizler_listesi;

		$boardUrls = $options->boardUrl;

		$boardUrl = parse_url($boardUrls);

		$boardHost = $boardUrl['host'];

		$sourceUrl = parse_url($url);

		if (!empty($sourceUrl['host']))
		{
			$curentDomain = $sourceUrl['host'];
		}
		else
		{
			$curentDomain = $boardHost;
		}
		$boardInc = $options->xgtZiyaretcilereLinkGizle_dahili;

		if($boardInc)
		{
			array_push($HaricTutulanlar, $boardUrls);
		}

		$haricTut = [];

		if(!empty($HaricTutulanlar))
		{
			foreach ($HaricTutulanlar as $value)
			{
				$haricDomain = parse_url($value);
				array_push($haricTut, $haricDomain['host']);
			}
		} 
		
		if ( in_array( $curentDomain, $haricTut ) )
		{
			return true;
		}
		return false;
	}		
}