<?php

namespace XenGenTr\ZiyaretcilereLinkGizle\XF\BbCode\Renderer;

class Html extends XFCP_Html
{
    public function renderTagUrl(array $children, $option, array $tag, array $options)
    {
        $kaynak =  parent::renderTagUrl($children, $option, $tag, $options);
        $options = \XF::options();
		if (!$options->xgtZiyaretcilereLinkGizle_etinlestir)
		{
			return $kaynak;
		}
        if ($kaynak == '')
        {
            return $kaynak;
        }
        if ($option !== null && !is_array($option))
        {
            $url = $option;
        }
        else
        {
            $url = $this->renderSubTreePlain($children);
        }

        $BaglantilarRepo = \XF::app()->repository('XenGenTr\ZiyaretcilereLinkGizle:CheckLinks');

        $etkilenmeyenler = $BaglantilarRepo->checkUrl($url);

        $visitor = \XF::visitor();
        if ($visitor->user_id <= 0 && !$etkilenmeyenler)
        {
            return $this->templater->renderTemplate('public:xgt_ziyaretcilere_link_gizle');
        }

        return $kaynak;
    } 
}